Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util
Class GUtil

    java.lang.Object
      org.gradle.util.GUtil

    public class GUtil

extends java.lang.Object

Constructor Summary
`GUtil()`

Method Summary
`static
`<T> java.util.List<T>`
` | `addLists(java.lang.Iterable<? extends T>... lists)`
`static java.util.Map` | `addMaps(java.util.Map map1, java.util.Map map2)`
`static
`<T> java.util.Set<T>`
` | `addSets(java.lang.Iterable<? extends T>... sets)`
`static
`<T> java.util.Collection<T>`
` | `addToCollection(java.util.Collection<T> dest, java.lang.Iterable<? extends T>... srcs)`
`static
`<T> java.util.List<T>`
` | `chooseCollection(java.util.List<T> taskCollection, java.util.List<T> conventionCollection)`
`static
`<T> T`
` | `elvis(T object, T defaultValue)`
`static java.util.List` | `flatten(java.util.Collection elements)`
`static java.util.List` | `flatten(java.util.Collection elements, boolean flattenMaps)`
`static java.util.List` | `flatten(java.util.Collection elements, java.util.List addTo)`
`static java.util.List` | `flatten(java.util.Collection elements, java.util.List addTo, boolean flattenMaps)`
`static java.util.List` | `flatten(java.lang.Object[] elements, java.util.List addTo)`
`static java.util.List` | `flatten(java.lang.Object[] elements, java.util.List addTo, boolean flattenMaps)`
`static boolean` | `isTrue(java.lang.Object object)`
`static java.lang.String` | `join(java.util.Collection self, java.lang.String separator)`
`static java.lang.String` | `join(java.lang.Object[] self, java.lang.String separator)`
`static java.util.Properties` | `loadProperties(java.io.File propertyFile)`
`static java.util.Properties` | `loadProperties(java.io.InputStream inputStream)`
`static java.util.Map` | `map(java.lang.Object... objects)`
`static void` | `saveProperties(java.util.Properties properties, java.io.File propertyFile)`
`static java.util.List<java.lang.String>` | `stringifieAsList(java.lang.Iterable iterable)`
`static java.util.Set<java.lang.String>` | `stringifyAsSet(java.lang.Iterable iterable)`
`static java.lang.String` | `toString(java.lang.Iterable<java.lang.String> names)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUtil

    public GUtil()

Method Detail

### flatten

    public static java.util.List flatten(java.lang.Object[] elements,
                                         java.util.List addTo,
                                         boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.lang.Object[] elements,
                                         java.util.List addTo)

### flatten

    public static java.util.List flatten(java.util.Collection elements,
                                         java.util.List addTo)

### flatten

    public static java.util.List flatten(java.util.Collection elements,
                                         java.util.List addTo,
                                         boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.util.Collection elements,
                                         boolean flattenMaps)

### flatten

    public static java.util.List flatten(java.util.Collection elements)

### join

    public static java.lang.String join(java.util.Collection self,
                                        java.lang.String separator)

### join

    public static java.lang.String join(java.lang.Object[] self,
                                        java.lang.String separator)

### isTrue

    public static boolean isTrue(java.lang.Object object)

### elvis

    public static <T> T elvis(T object,
                              T defaultValue)

### addSets

    public static <T> java.util.Set<T> addSets(java.lang.Iterable<? extends T>... sets)

### addLists

    public static <T> java.util.List<T> addLists(java.lang.Iterable<? extends T>... lists)

### addToCollection

    public static <T> java.util.Collection<T> addToCollection(java.util.Collection<T> dest,
                                                              java.lang.Iterable<? extends T>... srcs)

### addMaps

    public static java.util.Map addMaps(java.util.Map map1,
                                        java.util.Map map2)

### loadProperties

    public static java.util.Properties loadProperties(java.io.File propertyFile)

### loadProperties

    public static java.util.Properties loadProperties(java.io.InputStream inputStream)

### saveProperties

    public static void saveProperties(java.util.Properties properties,
                                      java.io.File propertyFile)

### chooseCollection

    public static <T> java.util.List<T> chooseCollection(java.util.List<T> taskCollection,
                                                         java.util.List<T> conventionCollection)

### map

    public static java.util.Map map(java.lang.Object... objects)

### toString

    public static java.lang.String toString(java.lang.Iterable<java.lang.String> names)

### stringifieAsList

    public static java.util.List<java.lang.String> stringifieAsList(java.lang.Iterable iterable)

### stringifyAsSet

    public static java.util.Set<java.lang.String> stringifyAsSet(java.lang.Iterable iterable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD